Package org.eclipse.emf.cdo.common.util

# Class RepositoryStateChangedEvent

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.emf.cdo.common.util.RepositoryStateChangedEvent

All Implemented Interfaces:
  `Serializable`, `CDOCommonRepository.StateChangedEvent`, `org.eclipse.net4j.util.event.IEvent`

public class RepositoryStateChangedEvent extends org.eclipse.net4j.util.event.Event implements CDOCommonRepository.StateChangedEvent
An `event` fired when the `state` of a repository has changed.

Since:
  3.0
Author:
  Eike Stepper
See Also:
  - Serialized Form
No Extend
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`RepositoryStateChangedEvent(org.eclipse.net4j.util.event.INotifier source, CDOCommonRepository.State oldState, CDOCommonRepository.State newState)`

## Method Summary

Modifier and Type
Method
Description
`CDOCommonRepository.State`
`getNewState()`
`CDOCommonRepository.State`
`getOldState()`

### Methods inherited from class org.eclipse.net4j.util.event.Event

`formatAdditionalParameters, formatEventName, getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.IEvent

`getSource`

## Constructor Details

### RepositoryStateChangedEvent

public RepositoryStateChangedEvent(org.eclipse.net4j.util.event.INotifier source, CDOCommonRepository.State oldState, CDOCommonRepository.State newState)

## Method Details

### getOldState

public CDOCommonRepository.State getOldState()

Specified by:
  `getOldState` in interface `CDOCommonRepository.StateChangedEvent`

### getNewState

public CDOCommonRepository.State getNewState()

Specified by:
  `getNewState` in interface `CDOCommonRepository.StateChangedEvent`